- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

convolve2

For example, if the signal is two dimensional with m & n as sizes along the 0th & 1st dimensions respectively, then the possible batch operations are as follows.

Input Signal Dimensions | Filter Dimensions | Output Dimensions | Batch Mode | Explanation
--- | --- | --- | --- | ---
[m n 1 1] | [m n 1 1] | [m n 1 1] | No Batch | Output will be a single convolve array
[m n 1 1] | [m n p 1] | [m n p 1] | Filter is Batched | p filters applied to same input
[m n p 1] | [m n 1 1] | [m n p 1] | Signal is Batched | 1 filter applied to p inputs
[m n p 1] | [m n p 1] | [m n p 1] | Identical Batches | p filters applied to p inputs in one-to-one correspondence
[m n p 1] | [m n 1 q] | [m n p q] | Non-overlapping batches | q filters applied to p inputs in to produce p x q results
[m n 1 p] | [m n q 1] | [m n q p] | Non-overlapping batches | q filters applied to p inputs in to produce q x p results